from django.urls import path
from django.conf import settings
from django.conf.urls.static import static
from .views import (dispatch, dispatch_details,
                    dispatch_profiling,
                    export_dispatch_to_excel,
                    index,dispatch_detail, submit_credit_note, update_delivery_docs_and_rate_driver,
                    update_dispatch,
                    awaiting_dispatch,
                    quotation_dispatched_list,
                    quotation_arrived_dispatch_list, upload_documents_and_rate_driver)

app_name = 'dispatch'

urlpatterns = [
    path('', dispatch, name='dispatch'),
    path('quotation/dispatched',quotation_dispatched_list,name ="quotation_dispatched_list"),
    path("quotation/arrived",quotation_arrived_dispatch_list, name="quotation_arrived_dispatch_list"),
    path('awaiting',awaiting_dispatch,name="awaiting_dispatch"),
    path('list',index, name="dispatch_index"),
    path('<str:track_number>/', dispatch_detail, name='dispatch_detail'),
    path('export-dispatch/', export_dispatch_to_excel, name='export_dispatch_to_excel'),
    path('dispatch/update/<str:track_number>/', update_dispatch, name='update_dispatch'),
    path('dispatch_profiling/<int:profiling_id>/', dispatch_profiling, name='dispatch_profiling'),
     path('upload_documents_and_rate_driver/', upload_documents_and_rate_driver, name='upload_documents_and_rate_driver'),
     path('api/update_delivery_docs_and_rate_driver/', update_delivery_docs_and_rate_driver, name='update_delivery_docs_and_rate_driver'),
     path('api/submit_credit_note/', submit_credit_note, name='submit_credit_note'),
     path('dispatch-details/<int:quotation_id>/', dispatch_details, name='dispatch_details'),
     
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)


# /sales/api/create_pos_sale
